package composite;

import java.util.*;

// This class implements a generic computer part
public class Part implements Component{

	private String name; // name of this Part
	private double price; // price of this Part
	private double amps; // current requirement
	private double weight; // weight
	
	// constructor
	Part(String name, double price, double amps, double weight ) {
		this.name = name; // name of this part
		this.price = price; 
		this.amps = amps; // how much current it draws
		this.weight = weight; 
	}

	@Override
	/**
	 * Override of Object.toString()
	 */
	public String toString() {
		return name;
	}

	@Override
	public double getPrice() {
		return price;
	}

	@Override
	public double getAmps() {
		return this.amps;
	}

	@Override
	public double getWeight() {
		return this.weight;
	}

// "Null" implementation of composite methods for Parts...
	public boolean add(Component c) {
	}

	@Override
	public Collection<Component> getChildren() {
	}

	@Override
	public boolean remove(Component c) {
	}
}
